<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload;

use UnexpectedValueException;




class IOSAppExtension
{
    


    const SHARE_EXTENSION = 0;
    


    const SERVICE_EXTENSION = 1;
    


    const INTENTS_EXTENSION = 2;

    private static $valueToName = [
        self::SHARE_EXTENSION => 'SHARE_EXTENSION',
        self::SERVICE_EXTENSION => 'SERVICE_EXTENSION',
        self::INTENTS_EXTENSION => 'INTENTS_EXTENSION',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

